Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Class JdbcAuthenticator

    java.lang.Object
      |
      +--com.caucho.http.security.AbstractAuthenticator
            |
            +--com.caucho.http.security.JdbcAuthenticator
                  |
                  +--com.caucho.server.http.JdbcAuthenticator

All Implemented Interfaces:
  ServletAuthenticator

public class JdbcAuthenticator
extends JdbcAuthenticator

Backwards compatibility for the old JDBC authenticator. New authenticators should use com.caucho.http.security.JdbcAuthenticator.

Fields inherited from class com.caucho.http.security.JdbcAuthenticator
`cookieDomain, cookieMaxAge, cookieVersion, useCookie`

Fields inherited from class com.caucho.http.security.AbstractAuthenticator
`LOGIN_NAME, passwordDigest, passwordDigestName, principalCache, principalCacheSize`

Constructor Summary
`JdbcAuthenticator()`

Method Summary
`java.lang.String` | `getDbPool()`
`void` | `setDbPool(java.lang.String poolName)`

Methods inherited from class com.caucho.http.security.JdbcAuthenticator
`addAuthCookie, authenticateCookie, getCookieAuthQuery, getCookieAuthUpdate, getCookieDomain, getCookieMaxAge, getCookieVersion, getDigestPassword, getPasswordQuery, getPoolName, getRoleQuery, getUseCookie, getUserPrincipalImpl, init, isUserInRole, loginImpl, loginImpl, logout, setCookieAuthQuery, setCookieAuthUpdate, setCookieDomain, setCookieLogout, setCookieMaxAge, setCookieVersion, setPasswordQuery, setPoolName, setRoleQuery, setUseCookie, updateCookie`

Methods inherited from class com.caucho.http.security.AbstractAuthenticator
`digest, getDigestSecret, getPasswordDigest, getPrincipalCacheSize, getUserPrincipal, login, loginDigest, loginDigestImpl, setPasswordDigest, setPrincipalCacheSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcAuthenticator

    public JdbcAuthenticator()

Method Detail

### getDbPool

    public java.lang.String getDbPool()

### setDbPool

    public void setDbPool(java.lang.String poolName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD